跳到主要内容
版本:v2.5.x

DropIndexProperties()

This operation drops the settings of the specified index properties.

Go
func (c *Client) DropIndexProperties(ctx context.Context, opt DropIndexPropertiesOption, callOptions ...grpc.CallOption) error

Request Parameters​

Parameter

Description

Type

ctx

Context for the current call to work.

context.Context

option

Optional parameters of the methods.

DropIndexPropertiesOption

callOptions

Optional parameters for calling the methods.

grpc.CallOption

DropIndexPropertiesOption​

This is an interface type. The dropIndexPropertiesOption struct type implements this interface. You can use NewDropIndexPropertiesOption() to get its concrete implementation.

NewDescribeIndexPropertiesOption​

This method prepares the options for DropIndexProperties(). The signature of this method is as follows:

Go
func NewDropIndexPropertiesOption(collectionName string, indexName string, keys ...string) *dropIndexPropertiesOption

Parameter

Description

Type

collectionName

Name of the target collection of this operation.

string

indexName

Name of the index within the above-specified collection.

string

keys

Names of the properties to drop

...string

Return​

Null

Example​